@echo off
rem #
rem # IBM Confidential
rem # OCO Source Materials
rem # Rational ClearQuest
rem # (C) Copyright IBM Corp. 2008,2011. All Rights Reserved.
rem #
rem # The source code for this program is not published or otherwise
rem # divested of its trade secrets, irrespective of what has been
rem # deposited with the U.S. Copyright Office.
rem #
rem # Run this batch file to start Crystal report migration tool.
rem # Looking for the JRE that installed with ClearQuest, 
rem # and if it's not found, the system defined JRE is used.
setlocal
set START_DIR=%~dp0
set CRCONFIGURATION=-Dcrconfiguration.properties=%START_DIR%\crconfiguration.properties
set LOG4JCONFIGURATION=-Dlog4j.configuration="file:%START_DIR%log4j.properties"
set JAVA_PROGRAM="%CLEARQUEST_HOME%\..\common\JAVA5.0\jre\bin\javaw.exe"
if exist %JAVA_PROGRAM% goto startup
set JAVA_PROGRAM="javaw.exe"

:startup
%JAVA_PROGRAM% %CRCONFIGURATION% %LOG4JCONFIGURATION% -jar crmt.jar 

endlocal